<template>
    <div class="p-list">
        <div class="container">
            <div class="heading">
                <h2>Sản phẩm mới</h2>
            </div>
            <div class="row">
                <div class="col-md-3">
                </div>
            </div>
            <swiper :options="swiperOption">
                <swiper-slide v-for="product in products" v-bind:key="product.id">
                    <Product v-bind:product="product" />
                </swiper-slide>
                <div class="swiper-pagination" slot="pagination"></div>
                <div class="swiper-button-prev" slot="button-prev"></div>
                <div class="swiper-button-next" slot="button-next"></div>
            </swiper>
        </div>
    </div>
</template>

<script>
    import 'swiper/dist/css/swiper.css'
    import { swiper, swiperSlide } from 'vue-awesome-swiper'
    import Product from './Product'
    export default {
        name: 'ProductList',
        components: {
            Product,
            swiper,
            swiperSlide
        },
        props:{
            products: Array,
            default: []
        },
        data(){
            return {
                swiperOption: {
                    slidesPerView: 4,
                    spaceBetween: 30,
                    slidesPerGroup: 4,
                    loop: false,
                    loopFillGroupWithBlank: true,
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: true
                    },
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    }
                }
            }
        }
    }
</script>

<style scoped>

</style>